Package org.gradle.api.logging.configuration

## Enum ShowStacktrace

- java.lang.Object
- - java.lang.Enum<ShowStacktrace>
  - - org.gradle.api.logging.configuration.ShowStacktrace

- All Implemented Interfaces:
    `Serializable`, `Comparable<ShowStacktrace>`

      public enum ShowStacktrace
      extends Enum<ShowStacktrace>

  Specifies the detail to include in stacktraces.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS` |
    `ALWAYS_FULL` |
    `INTERNAL_EXCEPTIONS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ShowStacktrace` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ShowStacktrace[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERNAL_EXCEPTIONS

          public static final ShowStacktrace INTERNAL_EXCEPTIONS

    - #### ALWAYS

          public static final ShowStacktrace ALWAYS

    - #### ALWAYS_FULL

          public static final ShowStacktrace ALWAYS_FULL

  - ### Method Detail

    - #### values

          public static ShowStacktrace[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShowStacktrace c : ShowStacktrace.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShowStacktrace valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null